%define build_plf	0

%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

Name:		radiotray
Version:	0.7.3
Release:	%mkrel 9
Summary:	Radio Tray is a streaming player for listening to online radios
License:	GPLv3+
Group:		Sound/Players
URL:		http://radiotray.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		radiotray-0.7.3-fix-crash-on-startup.patch
Patch1:		radiotray-0.7.3-create-XDG_DATA_HOME-if-it-does-no-exist.patch
BuildArch:	noarch
BuildRequires:	libpython-devel
BuildRequires:	python-pyxdg
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	python-gobject-devel
BuildRequires:	pygtk2.0-devel

Requires:	gstreamer0.10-python
Requires:	pygtk2.0
Requires:	pygtk2.0-libglade
Requires:	python-pyxdg
Requires:	python-lxml
Requires:	python-notify
Requires:	python-dbus
Requires:	python-gobject

Requires:	gstreamer0.10-soup
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-plugins-bad
Requires:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-mms

%if %build_plf
Requires:	gstreamer0.10-faad
%endif

%description
Radio Tray is an online radio streaming player that runs on a Linux system
tray. Its goal is to have the minimum interface possible, making it very
straightforward to use.
%if %build_plf
This package is in the "tainted" section as it requires other "tainted" packages.
%endif

%prep
%setup -q
%apply_patches

sed -i -e '/^#!\//, 1d' src/radiotray.py

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
python setup.py install \
	-O1 \
	--skip-build \
	--root %{buildroot}

%find_lang %{name}

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files -f %{name}.lang
%doc README AUTHORS NEWS CONTRIBUTORS
%{_bindir}/radiotray
%{_datadir}/radiotray/
%{_datadir}/applications/radiotray.desktop
%{_datadir}/pixmaps/radiotray.png
%{python_sitelib}/radiotray/
%{python_sitelib}/radiotray-%{version}-py%{pyver}.egg-info


%changelog
* Sat Sep 27 2014 tv <tv> 0.7.3-9.mga5
+ Revision: 730085
- rebuild for missing pythoneggs deps

* Sun Aug 24 2014 wally <wally> 0.7.3-8.mga5.tainted
+ Revision: 667101
- add patch to create XDG_DATA_HOME dir on startup if it doesn't exist for some weird reason (mga#13951)

* Sun Aug 03 2014 wally <wally> 0.7.3-7.mga5.tainted
+ Revision: 659316
- add patch to fix crash on startup

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7.3-5.mga4.tainted
+ Revision: 544519
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.3-4.mga4
+ Revision: 499814
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.7.3-3.mga3.tainted
+ Revision: 380175
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.7.3-2.mga3.tainted
+ Revision: 324479
- update RPM group

* Fri Aug 10 2012 wally <wally> 0.7.3-1.mga3.tainted
+ Revision: 280381
- new version 0.7.3
- clean .spec a bit

* Sat Feb 04 2012 wally <wally> 0.7.2-1.mga2.tainted
+ Revision: 204469
- new version 0.7.2

* Sat Dec 17 2011 wally <wally> 0.7.1-1.mga2.tainted
+ Revision: 183370
- new version 0.7.1

* Mon Oct 24 2011 wally <wally> 0.6.4-2.mga2.tainted
+ Revision: 157669
- require gstreamer0.10-soup
- new version 0.6.4
- fix license

* Tue Jul 12 2011 wally <wally> 0.6.3-3.mga2.tainted
+ Revision: 123377
- add missing requires

* Fri Jul 01 2011 wally <wally> 0.6.3-2.mga2.tainted
+ Revision: 117189
- require gstreamer0.10-mms
- clean .spec a bit

* Sun Jun 19 2011 obgr_seneca <obgr_seneca> 0.6.3-1.mga2.tainted
+ Revision: 109783
+ rebuild (emptylog)

* Sun Jun 19 2011 obgr_seneca <obgr_seneca> 0.6.3-1.mga2
+ Revision: 109778
- add Requires for gstreamer-faad, when in tainted
- imported package radiotray


* Thu Jun 09 2011 sisko43 <jyogi75@web.de> - 0.6.3-1.mga1
- Update to latest version

* Thu Sep 09 2010 sisko43 <jyogi75@web.de> - 0.6.1-1mvs2010.1
- Initial release for Mandriva

